package com.seer.teach.iot.common.uitls;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-09-09 14:51
 */
public class AudioUtils {

    private static final String HOME_PAGE_AUDIO_TEXT = "人类,你不向我问好吗，按住中间语音键自我介绍一下，欢迎进入我们的星球";

    private static final String AI_CORRECT_AUDIO_TEXT = "如果有不会的作业可以拍照上传，我帮你讲解哦";

    private static final String AI_EVALUATION_AUDIO_TEXT = "欢迎来到测试环节，根据以往学习能力，我们可以一起来做题，做对可以奖励学豆哟！";

    private static final String AI_REVIEW_AUDIO_TEXT = "小朋友，你的成绩最近进步了很多哟，多复习有机会超越班上百分之99以上的小朋友，加油！";

    private static final String AI_PREVIEW_AUDIO_TEXT = "小朋友，你真棒！提前预习能打败班上百分之99以上的小朋友，我看好你哟！";

    public static String getHomePageAudioText(String name) {
        return HOME_PAGE_AUDIO_TEXT;
    }

    public static String getAiCorrectAudioText() {
        return AI_CORRECT_AUDIO_TEXT;
    }

    public static String getAiEvaluationAudioText() {
        return AI_EVALUATION_AUDIO_TEXT;
    }

    public static String getAiReviewAudioText(String name) {
        return AI_REVIEW_AUDIO_TEXT;
    }

    public static String getAiPreviewAudioText(String name) {
        return AI_PREVIEW_AUDIO_TEXT;
    }

}
